# hey Emacs, its -*- rpm-spec -*-
# $Id: php-midgard,v 1.4 2002/03/27 16:58:50 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	0
#
# Package name without php prefix
%define		package_name	midgard
###############################################################

%define midgard_version 1.5.1

Name:	 	php-%package_name
Version:  4.3.4_%midgard_version
Release:  alt0.2cvs20030916
Group:		System/Servers
Requires:	libmidgard >= %midgard_version
Source:	midgard-php4-%{midgard_version}.tar.bz2
License:	PHP Licence
#Prereq:		php-common = %version-%release, perl
Patch1:   php-midgard-1.4.4.header.patch
# Automatically added by buildreq on Thu May 22 2003
BuildRequires: apache-devel glib-devel glibc-devel-static libMySQL-devel libdb1 libexpat-devel libgdbm libmidgard-devel libmm php-devel zlib-devel

Summary:	Midgard binding for PHP4
%add_serial php-devel

%description
The php-%package_name includes a dynamic shared object (DSO) that adds
Midgard binding to PHP4. Midgard is a freely-available Web application
development and publishing platform based on the popular PHP scripting
language. It is an Open Source development project, giving you the
freedom to create your solutions in an open environment. Midgard is the
tool for creating, modifying and maintaining dynamic database-enabled
web services.

%prep
#%setup -T -c
%setup -q -n %{package_name}
#%patch1 -p0
#cp -pr /usr/src/php-devel/extensions/%package_name/* .

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir} -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; export CFLAGS  

PATH="/usr/sbin:$PATH" %configure --with-%package_name=shared,/usr --with-apxs=/usr/sbin/apxs --with-midgard=/usr/bin/midgard-config --with-old-mod-midgard=no


BUILD_ENV_VARS="top_srcdir=$RPM_BUILD_DIR/%{package_name} \
		bindir=$RPM_BUILD_ROOT/usr/bin \
		sbindir=$RPM_BUILD_ROOT/usr/sbin \
		includedir=$RPM_BUILD_ROOT/usr/include \
		exec_prefix=$RPM_BUILD_ROOT/usr \
		libdir=$RPM_BUILD_ROOT/usr/lib \
		prefix=$RPM_BUILD_ROOT/usr \
		localstatedir=$RPM_BUILD_ROOT/var/lib \
		PEAR_INSTALLDIR=$RPM_BUILD_ROOT/usr/lib/php \
		EXTENSION_DIR=$RPM_BUILD_ROOT/usr/lib/php/extensions"
make $BUILD_ENV_VARS

%install
# Set them again because this is _different_ script
BUILD_ENV_VARS="top_srcdir=$RPM_BUILD_DIR/%{package_name} \
		bindir=$RPM_BUILD_ROOT/usr/bin \
		sbindir=$RPM_BUILD_ROOT/usr/sbin \
		includedir=$RPM_BUILD_ROOT/usr/include \
		exec_prefix=$RPM_BUILD_ROOT/usr \
		libdir=$RPM_BUILD_ROOT/usr/lib \
		prefix=$RPM_BUILD_ROOT/usr \
		localstatedir=$RPM_BUILD_ROOT/var/lib \
		PEAR_INSTALLDIR=$RPM_BUILD_ROOT/usr/lib/php \
		EXTENSION_DIR=$RPM_BUILD_ROOT/usr/lib/php/extensions"

make $BUILD_ENV_VARS install 

%clean

%files
%{_libdir}/php/extensions/*

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Fri Sep 26 2003 Sergei Dolmatov <saint@altlinux.ru> 1:4.3.4_1.5.1-alt0.2cvs20030916
- Fixed version number, added dependency on current libmidgard

* Wed Sep 17 2003 Sergei Dolmatov <saint@altlinux.ru> 1:1.5.1-alt0.1cvs20030916
- New build from CVS

* Thu May 22 2003 Sergei Dolmatov <saint@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- New version

* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
